EmbeddedConnectionPoolDataSource (Apache Derby 10.2 API Documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.jdbc
Class EmbeddedConnectionPoolDataSource

    java.lang.Object
      org.apache.derby.jdbc.ReferenceableDataSource
          org.apache.derby.jdbc.EmbeddedDataSource
              org.apache.derby.jdbc.EmbeddedConnectionPoolDataSource

All Implemented Interfaces:
  javax.sql.ConnectionPoolDataSource, javax.sql.DataSource, javax.naming.spi.ObjectFactory, javax.naming.Referenceable, java.io.Serializable

public class EmbeddedConnectionPoolDataSource
extends EmbeddedDataSource
implements javax.sql.ConnectionPoolDataSource

EmbeddedConnectionPoolDataSource is Derby's ConnectionPoolDataSource implementation for the JDBC3.0 and JDBC2.0 environments.

A ConnectionPoolDataSource is a factory for PooledConnection objects. An object that implements this interface will typically be registered with a JNDI service.

EmbeddedConnectionPoolDataSource automatically supports the correct JDBC specification version for the Java Virtual Machine's environment.

- JDBC 3.0 - Java 2 - JDK 1.4, J2SE 5.0
- JDBC 2.0 - Java 2 - JDK 1.2,1.3

EmbeddedConnectionPoolDataSource is serializable and referenceable.

See EmbeddedDataSource for DataSource properties.

See Also:
  Serialized Form

Constructor Summary
`EmbeddedConnectionPoolDataSource()` No-arg constructor.

Method Summary
`protected javax.sql.PooledConnection` | `createPooledConnection(java.lang.String user, java.lang.String password, boolean requestPassword)` create and returns EmbedPooledConnection.
`javax.sql.PooledConnection` | `getPooledConnection()` Attempt to establish a database connection.
`javax.sql.PooledConnection` | `getPooledConnection(java.lang.String username, java.lang.String password)` Attempt to establish a database connection.

Methods inherited from class org.apache.derby.jdbc.EmbeddedDataSource
`equals, getAttributesAsPassword, getConnection, getConnection, getConnectionAttributes, getCreateDatabase, getShutdownDatabase, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setShutdownDatabase`

Methods inherited from class org.apache.derby.jdbc.ReferenceableDataSource
`getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getObjectInstance, getPassword, getReference, getUser, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setUser`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.ConnectionPoolDataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Methods inherited from interface javax.sql.DataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Constructor Detail

### EmbeddedConnectionPoolDataSource

    public EmbeddedConnectionPoolDataSource()

  No-arg constructor.

Method Detail

### getPooledConnection

    public final javax.sql.PooledConnection getPooledConnection()
                                                         throws java.sql.SQLException

  Attempt to establish a database connection.

  Specified by:
    `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
  Returns:
    a Connection to the database
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### getPooledConnection

    public final javax.sql.PooledConnection getPooledConnection(java.lang.String username,
                                                                java.lang.String password)
                                                         throws java.sql.SQLException

  Attempt to establish a database connection.

  Specified by:
    `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
  Parameters:
    `username` - the database user on whose behalf the Connection is being made
    `password` - the user's password
  Returns:
    a Connection to the database
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### createPooledConnection

    protected javax.sql.PooledConnection createPooledConnection(java.lang.String user,
                                                                java.lang.String password,
                                                                boolean requestPassword)
                                                         throws java.sql.SQLException

  create and returns EmbedPooledConnection.

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help

Built on Mon 2006-10-02 08:18:52-0700, from revision 452058

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.2 API Documentation - Copyright © 1997,2006 The Apache Software Foundation or its licensors, as applicable.